## org.apache.lucene.analysis.th
Class ThaiAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.th.ThaiAnalyzer

    public class ThaiAnalyzer

extends Analyzer

Analyzer for Thai language. It uses java.text.BreakIterator to break words.

Version:
  0.2
Author:
  Samphan Raruenrom <samphan@osdev.co.th> for To-Be-One Technology Co., Ltd.

Constructor Summary
`ThaiAnalyzer()`

Method Summary
`TokenStream` `tokenStream(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThaiAnalyzer

    public ThaiAnalyzer()

Method Detail

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Specified by:
    `tokenStream` in class `Analyzer`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.